Quassel IRC - Bug #471

crash of monolithic client after clicking on "Connect to local core™
01/08/2009 12:02 AM - DeepDiver

Status: Resolved Start date: 01/07/2009
Priority: Normal Due date:

Assignee: EgS % Done: 0%
Category: Estimated time: 0.00 hour
Target version: 0.4.0

Version: 0.3.1 0S: Any
Description

2009-01-07 23:46:46 Info: Storage Backend is ready. Quassel Schema Version: 11
2009-01-07 23:46:46 Info: Restoring previous core state...
Quassel IRC: "0.3.1" "2f6178fc5770ea25c48bca16610cd677e3092818"
0x082ba282 Quassel::logBacktrace(QString const&)
0x082a0328 Quassel::handleSignal(int)

0xb7f1a400 __kernel_sigreturn

0xb74eb0c6 QWidget::setEnabled(bool)
0x0817a900 CoreConnectDlg::startSync()
0x0818713f CoreConnectDIg::on_uselnternalCore_clicked()
0x08199761 CoreConnectDlg::qt_metacall(QMetaObject::Call, int, void**)
0xb7e24bd0 QMetaObject::activate(QObject*, int, int, void**)
0xb7e24fd0 QMetaObject::activate(QObject*, QMetaObject const*, int, int, void**)
0xb7a80b01 QAbstractButton::clicked(bool)
0xb77d3e09 0x00000000
0xb77d5a04 0x00000000
0xb77d5c96 QAbstractButton::mouseReleaseEvent(QMouseEvent*)
0xb74ee7c2 QWidget::event(QEvent*)
0xb77d3cae QAbstractButton::event(QEvent*)
0xb787a590 QPushButton::event(QEvent*)
0xb749679c QApplicationPrivate::notify_helper(QObject*, QEvent*)
0xb749efd1 QApplication::notify(QObject*, QEvent*)
0xb7e100d1 QCoreApplication::notifyInternal(QObject*,QEvent*)
0xb749e25e QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget,

QWidget**, QPointer<QWidget>&)
0xb7507dfd 0x00000000
0xb7506be1 QApplication::x11ProcessEvent(_XEvent*)
0xb753060a 0x00000000
0xb656¢c1b8 g_main_context_dispatch
0xb656f853 0x00000000
0xb656fa11 g_main_context_iteration
0xb7e3a5d8 QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>)
0xb752fd45 0x00000000
0xb7e0e79a QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>)
0xb7e0e95a QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>)
0xb78ff5a7 QDialog::exec()
0x080d2a14 MainWin::showCoreConnectionDlg(bool)
0x080d9a1c MainWin::init()
0x080c4806 QtUiApplication::init()
0x080c39f7 MonolithicApplication::init()
0x080c35f8 main
0xb6626455 __libc_start_ main
0x080c3431 QTreeView::scrollTo(QModellndex const&, QAbstractltemView::ScrollHint)
0x082ba282 Quassel::logBacktrace(QString const&)
0x082a0328 Quassel::handleSignal(int)

0xb7f1a400 __kernel_sigreturn

0xb7d1bf57 QReadWriteLock::lockForRead()
0xb713c683 0x00000000
0xb713c891 QSqglDatabase::database(QString const&, bool)
0x082308bd AbstractSqlStorage::logDb()
0x0821c455 SqliteStorage::setNetworkConnected(Userld,Networkld const&, bool)
47. 8 quassel 0x082138b1 Core::setNetworkConnected(Userld, Networkld const&, bool)

48. 9 quassel 0x08234d80 CoreSession::networkConnected(Networkld)

49. 10 quassel 0x08252102 CoreSession::qt_metacall(QMetaObject::Call, int, void**)

50. 11 libQtCore.so0.4 0xb7e24bd0 QMetaObject::activate(QObject*, int, int, void**)

51. 12 libQtCore.so0.4 0xb7e25952 QMetaObject::activate(QObject*, QMetaObject const*, int, void**)

52. 13 quassel 0x08252c45 NetworkConnection::connected(Networkld)

53. 14 quassel 0x082434cc NetworkConnection::networklnitialized(QString const&)

54. 15 quassel 0x08252ea4 NetworkConnection::qt_metacall(QMetaObject::Call, int, void**)

55. 16 libQtCore.so0.4 0xb7e24bd0 QMetaObject::activate(QObject*, int, int, void**)

56. 17 libQtCore.so0.4 0xb7e25952 QMetaObiject::activate(QObject*, QMetaObject const*, int, void**)

57. 18 quassel 0x082c1545 Network::currentServerSet(QString const&)

58. 19 quassel 0x08264b61 IrcServerHandler::handle001(QString const&, QList<QByteArray> const&)

59. 20 quassel 0x08275c03 IrcServerHandler::gt_metacall(QMetaObject::Call, int, void**)

60. 21 quassel 0x082550c1 BasicHandler::handle(QString const&, QGenericArgument, QGenericArgument,
QGenericArgument, QGenericArgument, QGenericArgument, QGenericArgument, QGenericArgument, QGenericArgument,
QGenericArgument)

61. 22 quassel 0x082732cf IrcServerHandler::handleServerMsg(QByteArray)

62. 23 quassel 0x0823e317 NetworkConnection::socketHasData()

63. 24 quassel 0x08252f33 NetworkConnection::gt_metacall(QMetaObject::Call, int, void**)

64. 25 libQtCore.so0.4 0xb7e24bd0 QMetaObject::activate(QObject*, int, int, void**)

65. 26 libQtCore.so0.4 0xb7e25952 QMetaObiject::activate(QObject*, QMetaObject const*, int, void**)

66. 27 libQtCore.s0.4 0xb7e5d8f7 QlIODevice::readyRead()

67. 28 libQtNetwork.s0.4  0xb72fad27 0x00000000

68. 29 libQtNetwork.s0.4  0xb72ff6de QSsISocket::gt_metacall(QMetaObject::Call,int, void**)

69. 30 libQtCore.so0.4 0xb7e24bd0 QMetaObject::activate(QObject*, int, int, void**)

70. 31 libQtCore.so0.4 0xb7e25952 QMetaObiject::activate(QObject*, QMetaObject const*, int, void**)

71. 32 libQtCore.so0.4 0xb7e5d8f7 QlODevice::readyRead()

72. 33 libQtNetwork.s0.4  0xb72e4612 0x00000000

73. 34 libQtNetwork.s0.4  0xb72d399b 0x00000000

74. 35 libQtNetwork.s0.4  0xb72d4d06 0x00000000

75. 36 libQtGui.so.4 0xb749679c QApplicationPrivate::notify_helper(QObject*, QEvent*)

76. 37 libQtGui.so.4 0xb749e61e QApplication::notify(QObject*, QEvent*)

77. 38 libQtCore.so0.4 0xb7e100d1 QCoreApplication::notifyInternal(QObject*, QEvent*)

78. 39 libQtCore.so0.4 0xb7e3a86a 0x00000000

79. 40 libglib-2.0.s0.0  0xb656¢c1b8 g_main_context_dispatch

80. 41 libglib-2.0.s0.0  0xb656f853 0x00000000

81. 42 libglib-2.0.s0.0  0xb656fal1 g_main_context_iteration

82. 43 libQtCore.so0.4 0xb7e3a5d8 QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>)

83. 44 libQtCore.s0.4 0xb7e0e79a QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>)

84. 45 libQtCore.so0.4 0xb7e0e95a QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>)

85. 46 libQtCore.so0.4 0xb7d1d289 QThread::exec()

86. 47 quassel 0x08219293 SessionThread::run()

87. 48 libQtCore.s0.4 0xb7d2052e 0x00000000

88. 49 libpthread.s0.0  0xb65204c0 0x00000000

89. 50 libc.s0.6 0xb66f061e clone

History

#1 - 01/08/2009 03:22 PM - Sputnick
- Status changed from New to Resolved
- Assignee set to EgS

- Target version set to 0.4.0

Fixed shortly after 0.3.1 tagging.
